back-office-app/routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

use App\Http\Controllers\ItemTypesController;

Auth::routes();
Route::get('/', 'CatalogController@index')->name('catalog.index');
Route::get('/catalog/{id}/detail', 'CatalogController@detail')->name('catalog.detail');

Route::group(['middleware' => ['auth']], function(){
    Route::prefix('admin')->group(function () {
        Route::resource('dashboard', 'DashboardController');
        Route::resource('brands', 'BrandController');
        Route::resource('categories', 'CategoriesController');
        Route::resource('products', 'ProductsController');
        Route::resource('itemtypes', 'ItemTypesController');
        Route::get('export/itemtypes', 'ItemTypesController@fileExport')->name('itemtypes-export');
        Route::get('pdf/itemtypes', 'ItemTypesController@pdf')->name('itemtypes-pdf');
        Route::get('export/brands', 'BrandController@fileExport')->name('brands-export');
        Route::get('pdf/brands', 'BrandController@pdf')->name('brands-pdf');
        Route::get('export/categories', 'CategoriesController@fileExport')->name('categories-export');
        Route::get('pdf/categories', 'CategoriesController@pdf')->name('categories-pdf');
        Route::get('export/products', 'ProductsController@fileExport')->name('products-export');
        Route::get('pdf/products', 'ProductsController@pdf')->name('products-pdf');
        Route::resource('profile', 'ProfileController');
    });
});
Route::get('/admin', function () {
    return view('auth.login');
});

back-office-app/app/Models/Brands.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Brands extends Model
{
    protected $table = "brands";
    protected $fillable = ['name'];
}

back-office-app/app/Http/Controllers/BrandController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Brands;
use Alert;
use Maatwebsite\Excel\Facades\Excel;
use PDF;
use App\Exports\BrandsExport;

class BrandController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request){
        $brands = new Brands;
        if($request->search){
            $brands = $brands->where('name','like', '%'.$request->search.'%');
        }
        $items = $brands->paginate(5);
        return view('brands.index', ['items' => $items, 'search' => $request->search]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $brands = Brands::all();
        return view('brands.create', ['brands' => $brands]);
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $request->validate([
            'name' => 'required'
        ]);

        $brands = new Brands;
        $brands->name = $request->name;
        $brands->save();
        Alert::success('Congrats', 'Brands Succesfully Saved');
        return redirect('/admin/brands');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $brands = Brands::find($id);
        return view('brands.edit', ['brands' => $brands]);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $request->validate([
            'name' => 'required'
        ]);

        $brands = Brands::find($id);
        $brands->name = $request->name;
        $brands->update();
        Alert::success('Congrats', 'Brands Succesfully Updated');
        return redirect('/admin/brands');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $brands = Brands::find($id);
        $brands->delete();
        Alert::info('Congrats', 'Item Type Succesfully Deleted');
        return redirect('/admin/brands');
    }

    public function fileExport()
    {
        return Excel::download(new BrandsExport, 'brands-collection.xlsx');
    }

    public function pdf()
    {
    	$items = Brands::all();
    	$pdf = PDF::loadview('brands.pdf',['items'=>$items]);
    	return $pdf->download('brands.pdf');
    }
}

back-office-app/resources/views/brands/create.blade.php
@extends('layouts.master')

@section('title')
Brand Page
@endsection

@section('content')
<a href="{{URL::previous()}}" class="btn btn-primary mb-3"><i class="fa fa-arrow-left"></i> Kembali</a>
<div class="card" style="border:none;">
  <div class="card-body">
    <div class="col-12 p-0">
      <form method="post" action="{{route('brands.store')}}">
        @csrf
        <div class="form-group">
          <label for="name">Name</label>
          <input type="text" class="form-control" id="name" name="name">
        </div>
        @error('name')
          <div class="alert alert-danger">{{ $message }}</div>
        @enderror
        <div class="form-group row">
          <div class="col-sm-10">
            <button type="submit" class="btn btn-success">Simpan</button>
            <a href="{{URL::previous()}}" class="btn btn-warning text-white">Batal</a>
          </div>
        </div>
      </form>
    </div>
  </div>
</div>
@endsection

back-office-app/resources/views/brands/edit.blade.php
@extends('layouts.master')

@section('title')
Brand Page
@endsection

@section('content')
<a href="{{URL::previous()}}" class="btn btn-primary mb-3"><i class="fa fa-arrow-left"></i> Kembali</a>
<div class="card" style="border:none;">
  <div class="card-body">
    <div class="col-12 p-0">
      <form method="post" action="{{route('brands.update',$brands->id)}}">
        @csrf
        @method('put')
        <div class="form-group">
          <label for="name">Name</label>
          <input type="text" class="form-control" id="name" name="name" value="{{$brands->name}}">
        </div>
        @error('name')
          <div class="alert alert-danger">{{ $message }}</div>
        @enderror
        <div class="form-group row">
          <div class="col-sm-10">
            <button type="submit" class="btn btn-success">Simpan</button>
            <a href="{{URL::previous()}}" class="btn btn-warning text-white">Batal</a>
          </div>
        </div>
      </form>
    </div>
  </div>
</div>
@endsection

back-office-app/resources/views/brands/index.blade.php
@extends('layouts.master')

@section('title')
Brand Page
@endsection

@section('content')
<div class="container-fluid">
    <form method="get" action="{{ route('brands.store') }}">
        <div class="row">
            <div class="col-2">
                <a style="width: 100%;" href="{{route('brands.create')}}" class="btn btn-primary btn-md mb-3"><i class="fa fa-plus" aria-hidden="true"></i> Create Data</a>
            </div>
            <div class="col-4 p-0">
                <div class="form-group">
                    <input type="text" class="form-control" id="search" name="search" placeholder="Search By Name" value={{ $search }}>
                </div>
            </div>
            <div class="col-2">
                <button style="width: 100%;" type="submit" class="btn btn-success btn-md mb-3"><i class="fa fa-search" aria-hidden="true"></i> Search</button>
            </div>
            <div class="col-2">
                <a style="width: 100%;" href="{{route('brands-export')}}" class="btn btn-warning btn-md mb-3">Export as XLS</a>
            </div>
            <div class="col-2">
                <a style="width: 100%;" href="{{route('brands-pdf')}}" class="btn btn-info btn-md mb-3">Export as PDF</a>
            </div>
        </div>
    <form>
    <div class="card shadow mb-4">
        <div class="card-header py-3">
            <h6 class="m-0 font-weight-bold text-primary">DataTables Brands</h6>
        </div>
        <div class="card-body">
            <div class="table-responsive">
                <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                    <thead>
                        <tr>
                            <th>No</th>
                            <th>List Brands</th>
                            <th>Action</th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach($items as $key => $item)
                        <tr>
                            <td>{{$key + 1}}</td>
					        <td>{{ $item->name }}</td>
                            <td>
                                <form action="{{route('brands.destroy',$item->id)}}" method="post">
                                    @csrf
                                    @method('delete')
                                    <a href="{{route('brands.edit',$item->id)}}" class="btn btn-warning btn-sm text-white"><i class="fa fa-pen"></i></a>
                                    <button onclick="return confirm('Are you sure to delete this data?')" class="btn btn-danger btn-sm"><i class="fa fa-trash"></i></button>
                                </form>
                            </td>
                        @endforeach
                    </tbody>
                </table>
            </div>
            <div class="float-right">
                {{ $items->appends(request()->query())->links() }}
            </div>
        </div>
    </div>
</div>
@endsection

back-office-app/resources/views/brands/pdf.blade.php
<!DOCTYPE html>
<html>
<head>
	<title>Brands</title>
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
</head>
<body>
	<style type="text/css">
		table tr td,
		table tr th{
			font-size: 9pt;
		}
	</style>

	<table class='table table-bordered'>
		<thead>
			<tr>
                <th>No</th>
                <th>Brands Name</th>
            </tr>
		</thead>
		<tbody>
			@php $i=1 @endphp
            @foreach($items as $key => $item)
                <tr>
                    <td>{{$i++}}</td>
                    <td>{{ $item->name }}</td>
                </tr>
            @endforeach
		</tbody>
	</table>

</body>
</html>